package com.bwie.formaiton.controller;

import com.bwie.common.domain.Formation;
import com.bwie.common.result.Result;
import com.bwie.formaiton.service.FormationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class FormationController {

    @Autowired
    private FormationService formationService;

    @PostMapping("/list")
    public Result<List<Formation>> list(){
        return formationService.list();
    }

    @PostMapping("/insert")
    public Result<Integer> insert(@RequestBody Formation formation){
        return formationService.insert(formation);
    }
}
