package com.bwie.formaiton.service.impl;

import com.bwie.common.domain.Formation;
import com.bwie.common.result.Result;
import com.bwie.formaiton.mapper.FormationMapper;
import com.bwie.formaiton.service.FormationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FormationServiceImpl implements FormationService {

    @Autowired
    private FormationMapper formationMapper;
    @Override
    public Result<List<Formation>> list() {
        List<Formation> list = formationMapper.list();
        return Result.success(list);
    }

    @Override
    public Result<Integer> insert(Formation formation) {
        Integer i = formationMapper.insert(formation);
        return Result.success(i);
    }
}
